summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Joey Trungale2010-07-01 09:52:02 +0200
committer Robby Workman2010-07-01 09:52:02 +0200
commit0f3275a1a883f91c187afa95a5b278fa49471a84 (patch)
treeb523a36570244a062a8e0d19cc3b67074ec00eb1
parentdd952a7e8168f691a9490d5443d4284f2eddd2fb (diff)
downloadslackbuilds-0f3275a1a883f91c187afa95a5b278fa49471a84.tar.gz
development/perl-Tidy: Added (perl script indent/reformat tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/perl-Tidy/README6
-rw-r--r--development/perl-Tidy/perl-Tidy.SlackBuild81
-rw-r--r--development/perl-Tidy/perl-Tidy.info10
-rw-r--r--development/perl-Tidy/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/development/perl-Tidy/README b/development/perl-Tidy/README
new file mode 100644
index 0000000000..d643584ea4
--- /dev/null
+++ b/development/perl-Tidy/README
@@ -0,0 +1,6 @@
+Perltidy is a tool to indent and reformat perl scripts. It can also
+write scripts in html format.
+
+These modules are not required, but perltidy may use them if detected:
+HTML::Entities will be used to encode HTML entities if detected.
+Pod::Html will be used to format pod text.
diff --git a/development/perl-Tidy/perl-Tidy.SlackBuild b/development/perl-Tidy/perl-Tidy.SlackBuild
new file mode 100644
index 0000000000..cc74a49d41
--- /dev/null
+++ b/development/perl-Tidy/perl-Tidy.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for Tidy
+# Written by Joey Trungale <joey@trungale.net>
+
+PRGNAM=perl-Tidy
+VERSION=${VERSION:-20090616}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_PRGNAM=Perl-Tidy
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/perl-Tidy/perl-Tidy.info b/development/perl-Tidy/perl-Tidy.info
new file mode 100644
index 0000000000..deee382f64
--- /dev/null
+++ b/development/perl-Tidy/perl-Tidy.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Tidy"
+VERSION="20090616"
+HOMEPAGE="http://search.cpan.org/dist/Tidy"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/S/SH/SHANCOCK/Perl-Tidy-20090616.tar.gz"
+MD5SUM="63baa94a96fc5c272e06e72e589e7673"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Joey Trungale"
+EMAIL="joey@trungale.net"
+APPROVED="rworkman"
diff --git a/development/perl-Tidy/slack-desc b/development/perl-Tidy/slack-desc
new file mode 100644
index 0000000000..db700709a7
--- /dev/null
+++ b/development/perl-Tidy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Tidy: perl-Tidy (Parses and beutifies perl source)
+perl-Tidy:
+perl-Tidy: Perltidy is a tool to indent and reformat perl scripts.
+perl-Tidy: It can also write scripts in html format.
+perl-Tidy:
+perl-Tidy: http://search.cpan.org/dist/Tidy
+perl-Tidy:
+perl-Tidy:
+perl-Tidy:
+perl-Tidy:
+perl-Tidy: